### Method

# Gtk Tooltipset_icon_from_gicon

#### Declaration [src]

    void
    gtk_tooltip_set_icon_from_gicon (
      GtkTooltip* tooltip,
      GIcon* gicon
    )

#### Description [src]

Sets the icon of the tooltip (which is in front of the text) to be the icon indicated by `gicon` with the size indicated by `size`. If `gicon` is `NULL`, the image will be hidden.

#### Parameters

`gicon`

  Type: `GIcon`

  A `GIcon` representing the icon.

  The argument can be `NULL`.
  The data is owned by the caller of the method.